# Get the current supply reported by the ledger.

GET

/v2/ledger/supply

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/algod/#api_key)**

## Responses

### 200

Supply represents the current supply of MicroAlgos in the system.

Select media type application/json

Supply represents the current supply of MicroAlgos in the system

object

**current_round**

required

Round

integer

**online-money**

required

Total stake held by accounts with status Online at current_round, including those whose participation keys have expired but have not yet been marked offline.

integer

**online-stake**

required

Online stake used by agreement to vote for current_round, excluding accounts whose participation keys have expired.

integer

**total-money**

required

TotalMoney

integer

### 401

Invalid API Token

Select media type application/json

An error response with optional data field.

object

**data**

object

**message**

required

string

### default

Unknown Error
